## org.apache.xml.utils
Interface NodeConsumer

All Known Implementing Classes:
  StylesheetHandler

public interface NodeConsumer

The tree walker will test for this interface, and call setOriginatingNode before calling the SAX event. For creating DOM backpointers for things that are normally created via SAX events.

Method Summary
`void` `setOriginatingNode(Node n)` Set the node that is originating the SAX event.

Method Detail

### setOriginatingNode

    public void setOriginatingNode(Node n)

  Set the node that is originating the SAX event.
  Parameters:
    `n` - Reference to node that originated the current event.

Copyright © 2006 Apache XML Project. All Rights Reserved.